Skip to main content
`Ctrl`+`K`

# Conf

class astropy.utils.data.Conf

  Bases: `ConfigNamespace`

  Configuration parameters for `astropy.utils.data`.

  Attributes Summary

  `allow_internet` | If False, prevents any attempt to download from Internet.
  `compute_hash_block_size` | Block size for computing file hashes.
  `dataurl` | Primary URL for astropy remote data site.
  `dataurl_mirror` | Mirror URL for astropy remote data site.
  `default_http_user_agent` | Default User-Agent for HTTP request headers.
  `delete_temporary_downloads_at_exit` | If True, temporary download files created when the cache is inaccessible will be deleted at the end of the python session.
  `download_block_size` | Number of bytes of remote data to download per step.
  `remote_timeout` | Time to wait for remote data queries (in seconds).

  Attributes Documentation

  allow_internet

    If False, prevents any attempt to download from Internet.

  compute_hash_block_size

    Block size for computing file hashes.

  dataurl

    Primary URL for astropy remote data site.

  dataurl_mirror

    Mirror URL for astropy remote data site.

  default_http_user_agent

    Default User-Agent for HTTP request headers. This can be overwritten for a particular call via http_headers option, where available. This only provides the default value when not set by https_headers.

  delete_temporary_downloads_at_exit

    If True, temporary download files created when the cache is inaccessible will be deleted at the end of the python session.

  download_block_size

    Number of bytes of remote data to download per step.

  remote_timeout

    Time to wait for remote data queries (in seconds).